#include "libhash.h"

/* Same as sx33hsh, for systems that don't optimize the multiply */
unsigned long sx33shft(const char *data)
{
   unsigned long hsh;

   hsh = 0;
   while (*data)
      hsh = (hsh << 5) + hsh + (unsigned char) *data++;
   return hsh;
} /* sx33shft */
