#include "libhash.h"

/* gcc optimizes this to Times31Shift code */
/* The old reliable string hash            */
unsigned long x31hsh(const char *data, size_t len)
{
   unsigned long hsh;

   hsh = 0;
   while (len > 0) {
      hsh = 31 * hsh + (unsigned char) *data++;
      len--;
   }
   return hsh;
} /* x31hsh */
