#include "libhash.h"

/* gcc optimizes this to Times33Shift code */
/* The old reliable string hash            */
unsigned long sx33hsh(const char *data)
{
   unsigned long hsh;

   hsh = 0;
   while (*data)
      hsh = 33 * hsh + (unsigned char) *data++;
   return hsh;
} /* sx33hsh */
