#include "libhash.h"

/* gcc optimizes this to Times33Shift code */
/* The old reliable string hash            */
unsigned long x33hsh(const char *data, size_t len)
{
   unsigned long hsh;

   hsh = 0;
   while (len > 0) {
      hsh = 33 * hsh + (unsigned char) *data++;
      len--;
   }
   return hsh;
} /* x33hsh */
