#include "libhash.h"

/* Same as x33hsh, for systems that don't optimize the multiply */
unsigned long x33shft(const char *data, size_t len)
{
   unsigned long hsh;

   hsh = 0;
   while (len > 0) {
      hsh = (hsh << 5) + hsh + (unsigned char) *data++;
      len--;
   }
   return hsh;
} /* x33shft */
